package com.brilliance.isc.swift.objmtconvert.model.mt2xx.tag.tag203;

import com.brilliance.isc.swift.objmtconvert.model.AbsMTCreator;
import com.brilliance.isc.swift.objmtconvert.model.AbsTagCreate;
import com.brilliance.isc.swift.objmtconvert.model.mt2xx.mt2XXAbsCreator.MT203AbsCreator;

/**
 * @author huangmengyuan
 * @create 2023/2/27
 */
public class Tag32BCreator extends AbsTagCreate {
    private MT203AbsCreator MT203AbsCreator;

    public Tag32BCreator(AbsMTCreator absMTCreator) {
        super(absMTCreator);
        this.MT203AbsCreator = (MT203AbsCreator) absMTCreator;
    }

    @Override
    public void creator() {
        handlerCurAmtCreator(MT203AbsCreator,"dateCurAmt32B");
    }

}
